Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IVSineMap

    java.lang.Object
      igeo.IMap
          igeo.IVSineMap

    public class IVSineMap

extends IMap

A subclass of IMap defined by sine curve in v direction.

Author:
  Satoru Sugihara

Field Summary
`double` | `frequency`
`double` | `maxValue`
`double` | `minValue`
`double` | `phase`

Fields inherited from class igeo.IMap
`defaultDensityHeight, defaultDensityWidth, densityMinDelta, uIntegration, vIntegration`

Constructor Summary
`IVSineMap(double minamp, double maxamp, double freq, double phs)`

Method Summary
`double` | `get(double x)`
`double` | `get(double u, double v)` A main method to get a value of the map.

Methods inherited from class igeo.IMap
`createImage, flipU, flipV, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, scaleDensityMapU, scaleDensityMapV`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minValue

    public double minValue

### maxValue

    public double maxValue

### frequency

    public double frequency

### phase

    public double phase

Constructor Detail

### IVSineMap

    public IVSineMap(double minamp,
                     double maxamp,
                     double freq,
                     double phs)

Method Detail

### get

    public double get(double u,
                      double v)

  Description copied from class: `IMap`
  A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.

  Overrides:
    `get` in class `IMap`
  Parameters:
    `u` - u coordinates ranges 0.0 - 1.0
    `v` - v coordinates ranges 0.0 - 1.0
  Returns:
    value of the map.

### get

    public double get(double x)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD